# Response Model

## Tournament Object

| Field Name      | Type                      | Description                                                                                                                                                                                                                                  |
| --------------- | ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sport           | string                    | The sport of the tournament                                                                                                                                                                                                                  |
| tournamentName  | string                    | The name of the tournament                                                                                                                                                                                                                   |
| city            | string                    | The city where the tournament is being held                                                                                                                                                                                                  |
| status          | string                    | The status of the tournament - Cancelled, Confirmed or Unconfirmed. Note that occasionally scheduled tournaments will not take place (e.g. a sponsor pulls out) in which case the status will be set to Cancelled                            |
| location        | string                    | The country or state (US only) and country where the tournament is being held. Note that when a tournament is cancelled, the location will be set to CANCELLED as well. See countryCode for a fixed format location field                    |
| countryCode     | string                    | ISO-3166-1 alpha-3 country code of the country where the tournament is taking place. If the country is currently unknown, the code “ZZZ” will be returned.                                                                                   |
| startDate       | date                      | The date the tournament starts                                                                                                                                                                                                               |
| endDate         | date                      | The date the tournament starts                                                                                                                                                                                                               |
| surface         | string                    | The surface the tournament is being played on. Can be one of Hard, Clay, Grass or Carpet                                                                                                                                                     |
| year            | int                       | The year of the tournament                                                                                                                                                                                                                   |
| identifier      | int                       | Identifier for the tournament                                                                                                                                                                                                                |
| environment     | string                    | Whether the tournament is held Indoor or Outdoor                                                                                                                                                                                             |
| numberOfMatches | int                       | The number of matches to be played in this tournament. Note that for Tennis and Badminton this number is initially an estimate and will become more accurate as the order of play is released                                                |
| utcOffset       | double                    | The number of hours difference between the tournament location’s timezone and UTC. Note that this offset does not account for Daylight Saving Time (DST) rules, so at the time of the tournament the actual offset may be slightly different |
| eventsSummary   | object                    | The number of matches to be played on each day, if known. This data is only available once the order of play for the tournament is released. See object definition below                                                                     |
| competitions    | <p>array<br>\[object]</p> | The competitions which are played as part of the tournament. Generally there is a single tournament but some events have both ATP and WTA competitions. See object definition below                                                          |
| eventsResource  | url                       | Location of details of the tournament events                                                                                                                                                                                                 |
| bookingStatus   | string                    | Indicates if this tournament is booked. One of: “Booked”, “Autobooked”, “NotBooked” or “PartiallyBooked”. PartiallyBooked indicates that some of the events have been booked                                                                 |
| venueNames      | array \[object]           | Venue name of where the tournament is hosted. Note if available                                                                                                                                                                              |

### Optional Tournament Object

| Field Name                 | Type | Description                                                                                                          |
| -------------------------- | ---- | -------------------------------------------------------------------------------------------------------------------- |
| numberOfMatchesBookedToday | int  | Optional field indicating the number of events booked from the tournament if the bookingStatus was “PartiallyBooked” |

### EventsSummary Object

| Field Name | Type   | Description                                                                                                                                                                                                                                                                                                        |
| ---------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| {date}     | object | Object containing the number of events on the specified date. There are codes for the types of events: MS - Mens Singles, LS - Ladies Singles, MD/MX - Mens Doubles, LD - Ladies Doubles, XD - Mixed Doubles. The above codes can be prefixed with ‘Q’ to indicate they are part of qualifying for the competition |

### Competition Object

| Field Name                      | Type   | Description                                                                                                                                                                 |
| ------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| organisation                    | string | Name of the organisation running the competition (ATP, FFT, AELTC, USTA)                                                                                                    |
| externalId                      | string | Identifier for the competition. Note that the tournament year and this id uniquely identify a competition e.g. 2024-9028                                                    |
| competitionId                   | string | Identifier for the competition - this is the year and the externalId                                                                                                        |
| competitionType                 | string | The competition type - possible values are: Challenger, 250, 500, 1000, GrandSlam, WorldChampionships, Premier, Premier5, Qualifying, Internationals, PremierMandatory, ITF |
| singlesDrawSize                 | int    | Draw size for the singles competition                                                                                                                                       |
| singlesQualifyingDrawSize       | int    | Draw size for the singles qualifying competition                                                                                                                            |
| doublesDrawSize                 | int    | Draw size for the doubles competition                                                                                                                                       |
| doublesQualifyingDrawSize       | int    | Draw size for the doubles qualifying competition                                                                                                                            |
| startDate                       | date   | Start date of the competition                                                                                                                                               |
| endDate                         | date   | End date of the competition                                                                                                                                                 |
| licensingProperty               | string | The license covering the event                                                                                                                                              |
| drawPoolSize (Round Robin only) | int    | The number of teams within each group in the \*\***round robin tournament\*\***                                                                                             |
| drawNumPools (Round Robin only) | int    | The number of groups within the \*\***round robin tournament\*\***                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/tournaments/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
